PT(4)

NAME
pt - SCSI processor type driver

SYNOPSIS
device pt

DESCRIPTION
The pt driver provides support for a SCSI processor type device. These are usually scanners and other devices using the SCSI link as a communication interface with device specific commands embedded in the data stream.

A SCSI adapter must be separately configured into the system before this driver can be used.

This device supports read(2) and write(2), and the ioctl(2) calls described below.

IOCTLS
The following ioctl(2) calls are supported by the pt driver. They are defined in the header file <sys/ptio.h>.

PTIOCGETTIMEOUT
    This ioctl allows userland applications to fetch the current pt driver read and write timeout. The value returned is in seconds.

PTIOCSETTIMEOUT
    This ioctl allows userland applications to set the current pt driver read and write timeouts. The value should be in seconds.

FILES
/dev/ptN
    the Nth processor device.

SEE ALSO
cam(4)

HISTORY
The pt driver appeared in FreeBSD 2.1.